using System;

namespace Cvrsti_broj
{
    class Program
    {
        static void Main(string[] args)
        {
            string n = Console.ReadLine();
            string s = n;
            int br = 1;        
            int brmin = 1;
            int i = 0;
            int mini =100;
            string p = n.Substring(0, 1);
            char k = char.Parse(p);
            n=n.Remove(0, 1);
            foreach (char c in n)
            {
                if (c != k)
                {
                    i++;
                }
                else if (c == k)
                {
                    if (i < mini)
                        mini = i ;
                    break;
                }
                if (i == n.Length)
                {
                    br++;
                    if (brmin > br)
                    {
                        brmin = br;
                    }
                    p = n.Substring(0, 1);
                    k = char.Parse(p);
                    n=n.Remove(0, 1);
                    i = 0;
                }
            }
            n=n.Remove(i);
           
            i = 0;
            foreach (char c in n)
            {
                if (c == k)
                {
                    i++;
                }
            }
            if (i >= n.Length)
            {                
                    Console.WriteLine("0");                                
            }
            else
            {
                if (brmin < mini)
                {
                       Console.WriteLine(brmin);
                 }
                else
                {
                    Console.WriteLine(mini);
                }
            }
        }
    }
}